.include "m32def.inc" 

;Sprungbefehle zu Programmteilen, die je nach Interrupt ausgefhrt werden sollen.
.org 0x000				rjmp main	
.org URXCaddr           rjmp USART_RXC      ; USART Receive Complete Interrupt Vector Address

.include "init.asm"
.include "EEPROM.asm"

main: 
    ldi     r16, low(RAMEND)            ; Stackpointer initialisieren
    out     SPL, r16                    
    ldi     r16, high(RAMEND)
    out     SPH, r16                    
 
    ldi     r16, 0xFF
    out     DDRB, r16                   ; Port B Ausgang
 
 	call init_all

    ldi     XL,low(daten)               ; X-Zeiger laden
    ldi     XH,high(daten)

    ldi     YL,low(daten)               ; Y-Zeiger
    ldi     YH,high(daten)                

loop:   

  rjmp loop

 
USART_RXC:

call EEPROM_rxc

	rcall   EEPROM_read                 ; Daten aus EEPROM lesen
	mov temp1, r16
	call lcd_data 


    reti 

 
; Daten im EEPROM definieren
.eseg
daten:
		.db 0


